Percentage value in ProgressMonitor accuratly rounded
Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

The percentage value on the progress of the indexing process is often reported as 99,99% when the job is completet.
The commit commit:cdm|1ec5d31 (better percentage values from Progressmonitor) should fix that but the problem is not fully

solved.

a.muller wote:

beim Indexieren kdnnte man auch folgendes noch runden: indexing DescriptionElementBase [chunk 3.168351341931038/6]

Ausserdem ist das Endergebnis immer noch nicht immer 100%, sondern diesmal z.B. 100.01%. Math.ceil ist noch nicht ganz die

richtige Funktion.

Ich verwende ja in letzter Zeit immer mehr BigDecimal, da ist das viel klarer definiert. Vielleicht sollten wir den ProgressMonitor mal

diesbezdglich anpassen.

Associated revisions

Revision 6f59693f - 09/15/2016 02:27 PM - Andreas Miiller

rel #6086 Improve rounding for progress monitor

e fix error in rounding by using round not ceil
e add method for user defined scaled rounding

Revision 3273ef7c - 09/15/2016 03:10 PM - Andreas Miiller
ref #6086 fix failing test

Revision d74b5cdc - 09/15/2016 03:33 PM - Andreas Kohlbecker

ref #6086 solving the problems in the java-script of the web application monitor widget:

- chunk information: number rounded and label renamed
- Percentage number rounding fixed

Revision d178ecb9 - 10/07/2016 10:23 AM - Andreas Miiller
ref #6086 fix failing test

Revision 84bb1d2c - 10/07/2016 10:23 AM - Andreas Kohlbecker

ref #6086 solving the problems in the java-script of the web application monitor widget:

- chunk information: number rounded and label renamed
- Percentage number rounding fixed

History

#1 - 09/15/2016 02:28 PM - Andreas Miuller

Ceil is not the correct method, use round instead, otherwise the result is only rounded into one direction.

#2 - 09/15/2016 02:38 PM - Andreas Miuller

- Category changed from cdm to cdmlib

Experience shows (see class DefaultProgressMonitorTest) that rounding errors mostly appear when SubProgressMonitors are in use due to the

intermediate results stored in "workDone".
To avoid this | kept the rounding but with more digits (5).

Also | added a new method that allows user defined rounding using BigDecimal and scaling.

cdmlib|6f5969

#3 - 09/15/2016 02:40 PM - Andreas Miiller
- Assignee changed from Andreas Miller to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.3

Can you please check if this fixes the problem?

#4 - 09/21/2016 11:45 AM - Andreas Kohlbecker

- Status changed from New to Closed

This seems to be fully solved.
